import request from '@/utils/request'

// 查询提现列表
export function listCompanyProfit(query) {
  return request({
    url: '/company/companyProfit/list',
    method: 'get',
    params: query
  })
}

// 查询提现详细
export function getCompanyProfit(profitId) {
  return request({
    url: '/company/companyProfit/' + profitId,
    method: 'get'
  })
}

 
export function profit(data) {
  return request({
    url: '/company/companyProfit/profit',
    method: 'post',
    data: data
  })
}

export function cancel(data) {
  return request({
    url: '/company/companyProfit/cancel',
    method: 'post',
    data: data
  })
}


// 新增提现
export function addCompanyProfit(data) {
  return request({
    url: '/company/companyProfit',
    method: 'post',
    data: data
  })
}

// 修改提现
export function updateCompanyProfit(data) {
  return request({
    url: '/company/companyProfit',
    method: 'put',
    data: data
  })
}

// 删除提现
export function delCompanyProfit(profitId) {
  return request({
    url: '/company/companyProfit/' + profitId,
    method: 'delete'
  })
}

// 导出提现
export function exportCompanyProfit(query) {
  return request({
    url: '/company/companyProfit/export',
    method: 'get',
    params: query
  })
}